function I = BernsteinInner(d)
%
% MathLab set of functions for B-spline wavelets
% From: E.J. Stollnitz, T.D. DeRose, D.H. Salesin. 
%       Computer Graphics. Theory and Applications.
%       Morgan Kaufmann Publishers, Inc., San Francisco, California, 1996.
%
% Function: I = BernsteinInner(d)
% Purpose:  returns matrix of inner products of 
%           Bernstein polinomials of degree p
%
i = ones(d + 1, 1) * [0 : d];
j = i';
I = Choose(d, i) .* Choose(d, j) ./ (Choose(2 * d, i + j) * (2 * d + 1));
return;
% ... BernsteinInner()

