function [uret, gret, pret] = InsertKnot(d, u, g, p, unew)
%
% MathLab set of functions for B-spline wavelets
% From: E.J. Stollnitz, T.D. DeRose, D.H. Salesin. 
%       Computer Graphics. Theory and Applications.
%       Morgan Kaufmann Publishers, Inc., San Francisco, California, 1996.
%
% Function: [uret, gret, pret] = InsertKnot(d, u, g, p, unew)
% Purpose:  inserts a new knot at unew B-spline scaling function 
%           of degree d, thereby modifying knot vector u, 
%           Greville abscissas g and synthesis matrix p.
%
uret = sort([u unew]);
gret = Greville(d, uret);
pret = PolyEval(g, p, gret);
return;
% ... InsertKnot

